using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SlowlyRotate : MonoBehaviour {

    static float minRotPerSec = 0.2f;
    static float maxRotPerSec = 1.5f;

    float rotPerSec;
    Vector3 axis;

	void Start () {
        rotPerSec = Random.Range(minRotPerSec, maxRotPerSec);
        axis = new Vector3(Random.Range(-1f, 1f), Random.Range(-1f, 1f), Random.Range(-1f, 1f));
        axis.Normalize();
	}
	
	void Update () {
        transform.Rotate(axis, rotPerSec * Time.deltaTime);
	}
}
